Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_19
Class DJLog

    java.lang.Object
      |
      +--djbuch.kapitel_19.DJLog

public class DJLog
extends java.lang.Object

Ausgabe Klasse für Debug-Informationen Kapselt einen Log4J Logger Ausgabe Loglevel wird durch die Konstante DO_NOT_LOG_BEYOND_THIS beschränkt. Log4J ist selbstkonfigurierend. Das zugehörige Config File wird (sofern noch nicht vorhanden) in user.dir/java angelegt und kann dort dann auch modifiziert werden. Vorbereitet ist ein NotesLogAppender, der in eine Notes Datenbank logged. Diesr muss im Config File aktiviert werden. Stellt einige hilfreiche Ausgabe Methoden für z.B. Enumeration, Vector, Exception oder Document bereit Falls getTraceStatus()==true, dann wird jeder ausgabe ein TracePfad vorangestellt, so dass jeder Ausgabe die zugehörige Methode angesehen werden kann.

Author:
  Thomas Ekert

Field Summary
`static int` | `DEBUG`
`static int` | `DEBUG2`
`static int` | `DEBUG3`
`static int` | `ERROR`
`static int` | `INFO`
`static int` | `WARN`

Method Summary
`static void` | `debug(java.lang.String msg)` Schreibt msg mit dem Level DEBUG in die Logdatei.
`static void` | `error(java.lang.String msg)` Schreibt msg mit dem Level ERROR in die Logdatei.
`static java.lang.String` | `getBasePath()`
`static int` | `getLogLevel()` Gibt das Loglevel aus.
`static boolean` | `getTraceStatus()` zeigt an, ob zur Zeit ein Stacktrace beim Loggen ausgegeben wird oder nicht
`static void` | `info(java.lang.String msg)` Schreibt msg mit dem Level INFO in die Logdatei.
`static org.apache.log4j.Level` | `internalToLog4jLevel(int source)` Konvertiert die Konstanten aus DJLog in Level Objekte aus Log4J
`static java.lang.String` | `lastCaller(java.lang.String className)` Ermittelt den Namen der aufrufenden Funktion.
`static java.lang.String` | `logSymbol(int i)` Erzeugt Symbole, um im Log die verschiedenen Level unterscheiden zu können.
`static void` | `setBasePath(java.lang.String path)` Der basePath der Log Klasse ist per Default das Verzeichnis <>/java Es kann mit setBasePath verändert werden.
`static void` | `setLogLevel(int newLogLevel)` Ändert das Loglevel.
`static void` | `setTraceStatus(boolean newTraceStatus)` legt fest, ob bei der Ausgabe ein Stacktrace angegeben werden soll.
`static void` | `warn(java.lang.String msg)` Schreibt msg mit dem Level WARN in die Logdatei.
`static void` | `write(int logLevel, java.lang.String msg)`
`static void` | `write(int logLevel, java.lang.String msg, boolean kurz)` Schreibt eine Stringnachricht ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.
`static void` | `writeDocument(Document doc)` Schreibt die Feldinhalte eines Notesdokumentes ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.
`static void` | `writeEnumeration(int logLevel, java.util.Enumeration e)` Schreibt eine Aufzählung ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.
`static void` | `writeException(int logLevel, java.lang.Throwable e)` Schreibt eine Exception mit StackTrace ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.
`static void` | `writeException(java.lang.Throwable e)` Schreibt eine Exception mit Loglevel `ERROR` ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.
`static void` | `writePairs(int logLevel, java.util.Vector keys, java.util.Vector values)` Schreibt eine Schlüssel-Wert-Liste ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.
`static void` | `writeString(int logLevel, java.lang.String msg)` Schreibt eine Stringnachricht ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.
`static void` | `writeVector(int logLevel, java.util.Vector v)` Schreibt einen Vector ins Log

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### WARN

    public static final int WARN

See Also:
  Constant Field Values

### INFO

    public static final int INFO

See Also:
  Constant Field Values

### DEBUG

    public static final int DEBUG

See Also:
  Constant Field Values

### DEBUG2

    public static final int DEBUG2

See Also:
  Constant Field Values

### DEBUG3

    public static final int DEBUG3

See Also:
  Constant Field Values

Method Detail

### write

    public static void write(int logLevel,
                             java.lang.String msg)

  Parameters:
    `logLevel` -
    `msg` -
  See Also:
    `(int, String, boolean) gibt einen Trace nur dann aus, wenn für die Klasse ein Trace zugelassen ist.`

### write

    public static void write(int logLevel,
                             java.lang.String msg,
                             boolean kurz)

  Schreibt eine Stringnachricht ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.

  Parameters:
    `logLevel` - - Level auf dem gelogged werden soll
    `msg` - - Log Nachricht
    `kurz` - - falls kurz==true, wird kein Trace (Anzeige der aufrufenden Klasse) ausgegeben.

### writeString

    public static void writeString(int logLevel,
                                   java.lang.String msg)

  Schreibt eine Stringnachricht ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.

  Parameters:
    `logLevel` -
    `msg` -
  See Also:
    `(int, String)`

### writePairs

    public static void writePairs(int logLevel,
                                  java.util.Vector keys,
                                  java.util.Vector values)

  Schreibt eine Schlüssel-Wert-Liste ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.

  Parameters:
    `logLevel` -
    `keys` -
    `values` -

### writeException

    public static void writeException(int logLevel,
                                      java.lang.Throwable e)

  Schreibt eine Exception mit StackTrace ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.

  Parameters:
    `logLevel` -
    `e` -

### writeDocument

    public static void writeDocument(Document doc)

  Schreibt die Feldinhalte eines Notesdokumentes ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.

  Parameters:
    `doc` -

### writeException

    public static void writeException(java.lang.Throwable e)

  Schreibt eine Exception mit Loglevel `ERROR` ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.

  Parameters:
    `e` -

### writeEnumeration

    public static void writeEnumeration(int logLevel,
                                        java.util.Enumeration e)

  Schreibt eine Aufzählung ins Log, wenn das im Profildokument eingestellte Loglevel es zuläßt.

  Parameters:
    `logLevel` -
    `e` - - auszugebende Enumeration

### writeVector

    public static void writeVector(int logLevel,
                                   java.util.Vector v)

  Schreibt einen Vector ins Log

  Parameters:
    `logLevel` -
    `v` -

### setLogLevel

    public static void setLogLevel(int newLogLevel)

  Ändert das Loglevel.

  Parameters:
    `newLogLevel` -

### getLogLevel

    public static int getLogLevel()

  Gibt das Loglevel aus.

  Returns:

### setTraceStatus

    public static void setTraceStatus(boolean newTraceStatus)

  legt fest, ob bei der Ausgabe ein Stacktrace angegeben werden soll.

  Parameters:
    `newTraceStatus` - - true oder false

### getTraceStatus

    public static boolean getTraceStatus()

  zeigt an, ob zur Zeit ein Stacktrace beim Loggen ausgegeben wird oder nicht

  Returns:

### error

    public static void error(java.lang.String msg)

  Schreibt msg mit dem Level ERROR in die Logdatei.

  Parameters:
    `msg` -

### warn

    public static void warn(java.lang.String msg)

  Schreibt msg mit dem Level WARN in die Logdatei.

  Parameters:
    `msg` -

### info

    public static void info(java.lang.String msg)

  Schreibt msg mit dem Level INFO in die Logdatei.

  Parameters:
    `msg` -

### debug

    public static void debug(java.lang.String msg)

  Schreibt msg mit dem Level DEBUG in die Logdatei.

  Parameters:
    `msg` -

### internalToLog4jLevel

    public static final org.apache.log4j.Level internalToLog4jLevel(int source)

  Konvertiert die Konstanten aus DJLog in Level Objekte aus Log4J

  Parameters:
    `source` -
  Returns:

### lastCaller

    public static java.lang.String lastCaller(java.lang.String className)

  Ermittelt den Namen der aufrufenden Funktion.

### logSymbol

    public static java.lang.String logSymbol(int i)

  Erzeugt Symbole, um im Log die verschiedenen Level unterscheiden zu können.

  Parameters:
    `i` -
  Returns:

### setBasePath

    public static final void setBasePath(java.lang.String path)

  Der basePath der Log Klasse ist per Default das Verzeichnis <>/java Es kann mit setBasePath verändert werden. In diesem Pfad werden logs und die log4j.conf gespeichert.

  Parameters:
    `path` -

### getBasePath

    public static java.lang.String getBasePath()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD